<?php

namespace App\Http\Livewire\Clinica;


use App\Models\Clinica;
use Livewire\Component;

class Nuevo extends Component
{
    public $nombre;
  

    /*************************/
    /**  VALIDAR            **/
    /*************************/
    public function rules()
    {
        return [
            'nombre' => ['required', 'string', 'min:3', 'max:65'],
        ];
    }
    /*************************/
    /**  RESETEAR           **/
    /*************************/
    public function resetear()
    {
        $this->reset([
            'nombre',
        ]);
    }
    /*************************/
    /**  REGISTRAR          **/
    /*************************/
    public function registrar_clinica()
    {
        $this->emit('ev_cerrar_modal', 'modal_registrar_clinica');

        $this->validate();
        $clinica = Clinica::create([
            'nombre' => $this->nombre,
            'activo' => '1',
        ]);
        $clinica->save();

       
        $mensaje = 'La clinica ha sido registrada exitosamente.';
        $this->emit('ev_msj_guardado', $mensaje);
        $this->emit('ev_refrescar_clinicas');
        $this->resetear();

    }
    public function render()
    {
        return view('livewire.clinica.nuevo');
    }
}
